## GwyColorAxis GwyColorAxis — Simple axis with a false color scale |

## Functions

void | (*GwyColorAxisMapFunc) ()
GtkWidget * | gwy_color_axis_new ()
GtkWidget * | gwy_color_axis_new_with_range ()
void | gwy_color_axis_get_range ()
void | gwy_color_axis_set_range ()
GwySIUnit * | gwy_color_axis_get_si_unit ()
void | gwy_color_axis_set_si_unit ()
void | gwy_color_axis_set_gradient ()
const gchar * | gwy_color_axis_get_gradient ()
GwyTicksStyle | gwy_color_axis_get_ticks_style ()
void | gwy_color_axis_set_ticks_style ()
gboolean | gwy_color_axis_get_labels_visible ()
void | gwy_color_axis_set_labels_visible ()
void | gwy_color_axis_set_tick_map_func ()

## Properties

char * | gradient | Read / Write
gboolean | labels-visible | Read / Write
GtkOrientation | orientation | Read / Write / Construct Only
GwySIUnit * | si-unit | Read / Write
GwyTicksStyle | ticks-style | Read / Write

## Types and Values

struct | GwyColorAxis
struct | GwyColorAxisClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GwyColorAxis

## Implemented Interfaces

GwyColorAxis implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

## Functions

### GwyColorAxisMapFunc ()

    void
    (*GwyColorAxisMapFunc) (GwyColorAxis *axis,
                            const gdouble *z,
                            gdouble *mapped,
                            guint n,
                            gpointer user_data);

Type of color axis non-linear tick mapping function.

#### Parameters

axis | A color axis. |
z | Array of length `n` of tick values. |
mapped | Array of length `n` where values mapped to [0,1] should be placed. |
n | Length of `z` and `mapped` . |
user_data | Data passed to `gwy_color_axis_set_tick_map_func()`. |

Since: 2.39

### gwy_color_axis_new ()

    GtkWidget *
    gwy_color_axis_new (GtkOrientation orientation);

Creates a new color axis.

#### Parameters

orientation | The orientation of the axis. |

#### Returns

The newly created color axis as a GtkWidget.

### gwy_color_axis_new_with_range ()

    GtkWidget *
    gwy_color_axis_new_with_range (GtkOrientation orientation,
                                   gdouble min,
                                   gdouble max);

Creates a new color axis.

#### Parameters

orientation | The orientation of the axis. |
min | The minimum. |
max | The maximum. |

#### Returns

The newly created color axis as a GtkWidget.

### gwy_color_axis_get_range ()

    void
    gwy_color_axis_get_range (GwyColorAxis *axis,
                              gdouble *min,
                              gdouble *max);

Gets the range of a color axis.

#### Parameters

axis | A color axis. |
min | Location to store the range maximum (or `NULL`). |
max | Location to store the range minimum (or `NULL`). |

### gwy_color_axis_set_range ()

    void
    gwy_color_axis_set_range (GwyColorAxis *axis,
                              gdouble min,
                              gdouble max);

Sets the range of a color axis.

#### Parameters

axis | A color axis. |
min | The range minimum. |
max | The range maximum. |

### gwy_color_axis_get_si_unit ()

    GwySIUnit *
    gwy_color_axis_get_si_unit (GwyColorAxis *axis);

Gets the SI unit a color axis displays.

#### Parameters

axis | A color axis. |

#### Returns

The SI unit.

### gwy_color_axis_set_si_unit ()

    void
    gwy_color_axis_set_si_unit (GwyColorAxis *axis,
                                GwySIUnit *unit);

Sets the SI unit a color axis displays.

#### Parameters

axis | A color axis. |
unit | A SI unit to display next to minimum and maximum value. |

### gwy_color_axis_set_gradient ()

    void
    gwy_color_axis_set_gradient (GwyColorAxis *axis,
                                 const gchar *gradient);

Sets the color gradient a color axis should use.

#### Parameters

axis | A color axis. |
gradient | Name of gradient `axis` should use. It should exist. |

### gwy_color_axis_get_gradient ()

    const gchar *
    gwy_color_axis_get_gradient (GwyColorAxis *axis);

Gets the color gradient a color axis uses.

#### Parameters

axis | A color axis. |

#### Returns

The color gradient.

### gwy_color_axis_get_ticks_style ()

    GwyTicksStyle
    gwy_color_axis_get_ticks_style (GwyColorAxis *axis);

Gets ticks style of a color axis.

#### Parameters

axis | A color axis. |

#### Returns

The ticks style.

### gwy_color_axis_set_ticks_style ()

    void
    gwy_color_axis_set_ticks_style (GwyColorAxis *axis,
                                    GwyTicksStyle ticks_style);

Sets the ticks style of a color axis.

#### Parameters

axis | A color axis. |
ticks_style | The ticks style to use. |

### gwy_color_axis_get_labels_visible ()

    gboolean
    gwy_color_axis_get_labels_visible (GwyColorAxis *axis);

Gets the visibility of labels of a color axis.

#### Parameters

axis | A color axis. |

#### Returns

`TRUE` if labels are displayed, `FALSE` if they are omitted.

### gwy_color_axis_set_labels_visible ()

    void
    gwy_color_axis_set_labels_visible (GwyColorAxis *axis,
                                       gboolean labels_visible);

Sets the visibility of labels of a color axis.

#### Parameters

axis | A color axis. |
labels_visible | `TRUE` to display labels with minimum and maximum values, `FALSE` to display no labels. |

### gwy_color_axis_set_tick_map_func ()

    void
    gwy_color_axis_set_tick_map_func (GwyColorAxis *axis,
                                      GwyColorAxisMapFunc func,
                                      gpointer user_data);

Set the tick mapping function for a color axis.

The axis calculates tick positions as for the linear axis and then places them non-linearly using `func` . Hence a mapping function should be used with ticks mode `GWY_TICKS_STYLE_UNLABELLED` because minimum tick spacing is not guaranteed.

#### Parameters

axis | A color axis. |
func | Tick mapping function. |
user_data | Data to pass to `func` . |

Since: 2.39

## Types and Values

### struct GwyColorAxis

    struct GwyColorAxis;

### struct GwyColorAxisClass

    struct GwyColorAxisClass {
        GtkWidgetClass parent_class;

        void (*reserved1)(void);
        void (*reserved2)(void);
    };

## Property Details

### The `“gradient”` property

      “gradient”                 char *

Name of color gradient the axis displays.

Owner: GwyColorAxis

Flags: Read / Write

Default value: NULL

### The `“labels-visible”` property

      “labels-visible”           gboolean

Whether minimum and maximum labels are visible.

Owner: GwyColorAxis

Flags: Read / Write

Default value: TRUE

### The `“orientation”` property

      “orientation”              GtkOrientation

Axis orientation.

Owner: GwyColorAxis

Flags: Read / Write / Construct Only

Default value: GTK_ORIENTATION_VERTICAL

### The `“si-unit”` property

      “si-unit”                  GwySIUnit *

SI unit to display in labels.

Owner: GwyColorAxis

Flags: Read / Write

### The `“ticks-style”` property

      “ticks-style”              GwyTicksStyle

The style of axis ticks.

Owner: GwyColorAxis

Flags: Read / Write

Default value: GWY_TICKS_STYLE_AUTO

## See Also

GwyAxis -- Axis for use in graphs, GwyRuler -- Horizontal and vertical rulers